## nginx-confgen 1.2

=== debian/changelog ===
nginx-confgen (1.2-3build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:13:10 +0000

nginx-confgen (1.2-3) unstable; urgency=medium

  * Add patch to fix build with megaparsec 8.x (closes: #964657).

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Jul 2020 18:14:25 +0200

nginx-confgen (1.2-2) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Install generated manpage.
  * Set Rules-Requires-Root to "no".
  * Add upstream metadata file.
  * Move to debhelper compat v12, given we finally don't rely on cdbs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Apr 2020 19:55:41 +0200

nginx-confgen (1.2-1) unstable; urgency=medium

  * Initial release (closes: #956901).
  * Add patch to add a Setup.hs, to adapt build to ghc avoiding stack.
  * Replace cabal-debian's rules with pandoc-citeproc-preamble's.
  * Add patch to hide "same" and "many" from Megaparsec to fix ftbfs.
  * Add patch from git to adapt to newer lts and Mepaparsec versions.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Apr 2020 01:57:56 +0200
