=== debian/control ===
Source: nginx-confgen
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 12),
               ghc,
               ghc-prof,
               haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
               libghc-megaparsec-dev,
               libghc-megaparsec-prof,
               libghc-optparse-applicative-dev,
               libghc-optparse-applicative-prof,
               libghc-regex-tdfa-dev,
               libghc-regex-tdfa-prof,
               libghc-unordered-containers-dev,
               libghc-unordered-containers-prof
Standards-Version: 4.5.0
Homepage: https://dev.yorhel.nl/nginx-confgen
Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git
Rules-Requires-Root: no

Package: nginx-confgen
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: nginx configuration file macro language and preprocessor
 This is a preprocessor and macro system for nginx(-like) configuration
 files. It can be used to do pre-processing for nginx configuration files
 (and other configuration files with a similar syntax). It has support for
 "compile-time" macro expansion and variable interpolation, which should
 make it less tedious to maintain large and complex configurations.
