## nginx-confgen 2.0

=== debian/changelog ===
nginx-confgen (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, all were related to the Haskell build system.
  * Reduce debian/rules to the bare minimum now that nginx-confgen is
    written in C.
  * Drop all Haskell-related Build-Depends.
  * Override dh_auto_install and define PREFIX when calling make.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Oct 2020 01:31:53 +0100
