## nginx-confgen 2.1

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 BINDIR ?= ${PREFIX}/bin
 MANDIR ?= ${PREFIX}/share/man/man1
 
-NGCFG_VERSION=2.0
-
-DIST_FILES=Makefile nginx-confgen.c README LICENSE ChangeLog $(shell find test/ ! -name '*.test')
+NGCFG_VERSION=2.1
 
 all: bin doc
 bin: nginx-confgen
@@ -46,7 +44,7 @@
 	rm -rf nginx-confgen-${NGCFG_VERSION}
 
 clean:
-	rm -f nginx-confgen nginx-confgen.1
+	rm -f nginx-confgen nginx-confgen.1 test/*.test
 
 distclean: clean
