=== debian/changelog ===
nginx-confgen (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat v13.
  * Update Standards-Version to 4.6.0.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Sat, 30 Apr 2022 13:01:31 +0200
