=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="mode=git" https://code.blicky.net/yorhel/nginx-confgen.git \
   refs/tags/([\d\.]+)
