## nginx-confgen 2.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,26 @@
+# SPDX-FileCopyrightText: Yorhel <projects@yorhel.nl>
+# SPDX-License-Identifier: MIT
+
 CC     ?= cc
 CFLAGS ?= -Wall -O2 -g
 PREFIX ?= /usr/local
 BINDIR ?= ${PREFIX}/bin
 MANDIR ?= ${PREFIX}/share/man/man1
 
-NGCFG_VERSION=2.1
+NGCFG_VERSION=2.2
 
-all: bin doc
+.PHONY: all bin\
+	test test-valgrind lint\
+	dist distcheck\
+	clean distclean\
+	install install-bin install-doc\
+	uninstall uninstall-bin uninstall-doc
+
+all: bin
 bin: nginx-confgen
-doc: nginx-confgen.1
 
 nginx-confgen: nginx-confgen.c Makefile
 	${CC} ${CFLAGS} -DNGCFG_VERSION='"${NGCFG_VERSION}"' $< -o $@
-
-nginx-confgen.1: nginx-confgen.pod Makefile
-	pod2man --center "nginx-confgen manual" --release nginx-confgen-${NGCFG_VERSION} $< >$@
 
 test: bin
 	cd test && e=0 && for i in *.conf; do\
@@ -31,6 +37,10 @@
 			if [ $$? = 2 ]; then echo; echo "FAIL at $$i"; echo; cat valgrindlog; exit 1; fi; done
 	rm -f test/valgrindlog
 
+lint:
+	reuse lint
+	mandoc -Tlint nginx-confgen.1
+
 dist:
 	rm -f nginx-confgen-${NGCFG_VERSION}.tar.gz
 	mkdir nginx-confgen-${NGCFG_VERSION}
@@ -44,7 +54,7 @@
 	rm -rf nginx-confgen-${NGCFG_VERSION}
 
 clean:
-	rm -f nginx-confgen nginx-confgen.1 test/*.test
+	rm -f nginx-confgen test/*.test
 
 distclean: clean
 
@@ -54,7 +64,7 @@
 	mkdir -p ${BINDIR}
 	install -m0755 nginx-confgen ${BINDIR}/
 
-install-doc: doc
+install-doc:
 	mkdir -p ${MANDIR}
 	install -m0644 nginx-confgen.1 ${MANDIR}/
