=== debian/changelog ===
nginx-confgen (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Update copyright years.
  * Update branch names to follow DEP14.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Nov 2024 01:47:53 +0100
