=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: https://dev.yorhel.nl/nginx-confgen
 Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
 Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git
